Cannot install matrixio-kernel-modules

Hi , sorry for my bad english, I hope you can understand me :wink:

I have a rpi3 and matrix voice addon. I use on rpi 2019-04-08-raspbian-stretch-lite.img, after first boot I make sudo apt update and upgrade and add the repository and key.
sudo apt install matrixio-kernel-modules shows these error

Building module:
cleaning build area…
make -j4 KERNELRELEASE=4.19.42-v7+ -C /lib/modules/4.19.42-v7+/build M=/var/lib/dkms/matrixio/0.1/build…(bad exit status: 2)
Error! Bad return status for module build on kernel: 4.19.42-v7+ (armv7l)
Consult /var/lib/dkms/matrixio/0.1/build/make.log for more information.
dpkg: error processing package matrixio-kernel-modules (–configure):
subprocess installed post-installation script returned error exit status 10
Errors were encountered while processing:
matrixio-kernel-modules
E: Sub-process /usr/bin/dpkg returned an error code (1)

can you help me, what is wrong?

thanks

@HugoHurtig, welcome to our community!

The latest Raspbian image actually uses an updated Linux kernel that has some breaking changes with our MATRIX kernel modules. We are working on the fix now & will update soon.

Theoretically, if you use the old Raspbian Stretch image with Linux kernel version 4.14, our kernel modules should work with it. I will test this & confirm this weekend so it can be a temporary workaround!

Thank you for reply Samreen :grinning:

I will test the image, my project is to use snips as voice assistant.

I’m sorry, but with this kernel I have many errors more.

[quote]Err:38 https://apt.matrix.one/raspbian stretch/main armhf libmatrixio-creator-hal armhf 0.3.7
gnutls_handshake() failed: The TLS connection was non-properly terminated.
Err:18 http://archive.raspberrypi.org/debian stretch/main armhf raspberrypi-kernel-headers armhf 1.20190517-1
Hash Sum mismatch
Hashes of expected file:

Welcome, @HugoHurtig!

Please follow the instructions in this thread for a temporary workaround.

1 Like

Very big thanks boris, now microphones works fine.

1 Like